summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-06-14 16:28:51 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-06-14 16:28:51 +0000
commitf62bd856fb32890878bfcf1c30a28d5be7a1fce5 (patch)
tree9a64b28d019fb66e924844d2cf88677aa18e4ec5 /dev-python
parent4f6f4506e42746db60e51b5bd9c5d0374a0d960a (diff)
downloadbaldeagleos-repo-f62bd856fb32890878bfcf1c30a28d5be7a1fce5.tar.gz
baldeagleos-repo-f62bd856fb32890878bfcf1c30a28d5be7a1fce5.tar.xz
baldeagleos-repo-f62bd856fb32890878bfcf1c30a28d5be7a1fce5.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/PyPDF2/Manifest1
-rw-r--r--dev-python/PyPDF2/PyPDF2-2.2.0.ebuild56
-rw-r--r--dev-python/anyqt/Manifest1
-rw-r--r--dev-python/anyqt/anyqt-0.1.1.ebuild58
-rw-r--r--dev-python/astroid/Manifest1
-rw-r--r--dev-python/astroid/astroid-2.11.6.ebuild59
-rw-r--r--dev-python/authres/authres-1.2.0-r1.ebuild2
-rw-r--r--dev-python/authres/authres-1.2.0.ebuild21
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.24.8.ebuild68
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.27.8.ebuild70
-rw-r--r--dev-python/brotlicffi/brotlicffi-1.0.9.2-r1.ebuild2
-rw-r--r--dev-python/cachelib/Manifest1
-rw-r--r--dev-python/cachelib/cachelib-0.8.0.ebuild37
-rw-r--r--dev-python/cffi/cffi-1.15.0-r1.ebuild2
-rw-r--r--dev-python/cffi/cffi-1.15.0.ebuild54
-rw-r--r--dev-python/cssutils/cssutils-2.4.2.ebuild2
-rw-r--r--dev-python/cython/cython-0.29.30.ebuild2
-rw-r--r--dev-python/exceptiongroup/exceptiongroup-1.0.0_rc8.ebuild2
-rw-r--r--dev-python/flit_scm/flit_scm-1.6.2.ebuild2
-rw-r--r--dev-python/gmpy/gmpy-2.1.2-r1.ebuild2
-rw-r--r--dev-python/greenlet/greenlet-1.1.2-r1.ebuild2
-rw-r--r--dev-python/greenlet/greenlet-1.1.2.ebuild24
-rw-r--r--dev-python/hatch-vcs/hatch-vcs-0.2.0.ebuild2
-rw-r--r--dev-python/hypothesis/hypothesis-6.47.2.ebuild2
-rw-r--r--dev-python/ipykernel/Manifest1
-rw-r--r--dev-python/ipykernel/ipykernel-6.14.0.ebuild65
-rw-r--r--dev-python/ipyparallel/ipyparallel-8.3.0.ebuild2
-rw-r--r--dev-python/ipython/Manifest1
-rw-r--r--dev-python/ipython/ipython-8.2.0.ebuild164
-rw-r--r--dev-python/ipython/ipython-8.3.0-r1.ebuild2
-rw-r--r--dev-python/jaraco-test/jaraco-test-5.1.0.ebuild2
-rw-r--r--dev-python/js2py/Manifest1
-rw-r--r--dev-python/js2py/js2py-0.71_p20210918.ebuild44
-rw-r--r--dev-python/jupyter_server/jupyter_server-1.17.0.ebuild2
-rw-r--r--dev-python/kiwisolver/Manifest1
-rw-r--r--dev-python/kiwisolver/kiwisolver-1.4.3.ebuild37
-rw-r--r--dev-python/platformdirs/Manifest1
-rw-r--r--dev-python/platformdirs/platformdirs-2.5.1.ebuild32
-rw-r--r--dev-python/platformdirs/platformdirs-2.5.2.ebuild2
-rw-r--r--dev-python/pydantic/pydantic-1.9.1.ebuild2
-rw-r--r--dev-python/pyrsistent/pyrsistent-0.18.1-r1.ebuild2
-rw-r--r--dev-python/pyyaml/pyyaml-6.0-r1.ebuild2
-rw-r--r--dev-python/qtconsole/Manifest1
-rw-r--r--dev-python/qtconsole/qtconsole-5.2.2.ebuild47
-rw-r--r--dev-python/qtconsole/qtconsole-5.3.0.ebuild2
-rw-r--r--dev-python/setuptools/Manifest1
-rw-r--r--dev-python/setuptools/files/setuptools-62.4.0-py-compile.patch86
-rw-r--r--dev-python/setuptools/setuptools-62.4.0.ebuild130
-rw-r--r--dev-python/simplejson/simplejson-3.17.6.ebuild2
-rw-r--r--dev-python/tlsh/tlsh-4.8.2.ebuild2
-rw-r--r--dev-python/translate-toolkit/Manifest1
-rw-r--r--dev-python/translate-toolkit/translate-toolkit-3.7.0.ebuild99
54 files changed, 842 insertions, 367 deletions
diff --git a/dev-python/PyPDF2/Manifest b/dev-python/PyPDF2/Manifest
index 6407a988ff94..91172eaa6799 100644
--- a/dev-python/PyPDF2/Manifest
+++ b/dev-python/PyPDF2/Manifest
@@ -6,5 +6,6 @@ DIST PyPDF2-1.28.4.gh.tar.gz 4397029 BLAKE2B 2db9aacc55d06e961708ee455562e28f59b
DIST PyPDF2-2.0.0.gh.tar.gz 4574406 BLAKE2B 8554fdb7ab9ea1b9990ba72fb05ed02ef8732788b896013f3410f74bad482a95dfb42215cff247d411e6e84bd1afa3437af36f203b7aa45890c4c5681853dfb9 SHA512 8bdd9c2cdd20758a183696d8d33a207f9be9183e63b7757e09d281f4ae4a6a61714a49c940d5bd57df8a6074ad7498f17354b5d4984b1b2ad4bd119b62d93138
DIST PyPDF2-2.1.0.gh.tar.gz 4728411 BLAKE2B 00949842da43136afc7ee3482dc0b61182a0bf3ee4479d8794891ecf0a7cac9ec92a94d480a2ab75d35be9f667b5c27cdf17c8e7ce76bb5355cf2c43c7fc814b SHA512 d82f05fe6e7f944f045600c1fd7d451181803769b38911a2d6e0553ae7b16cbfd6838883809c71fddcdfc386f62e0a5f5aaa6d947236a3c8cdedb5fe8f338a5f
DIST PyPDF2-2.1.1.gh.tar.gz 4729162 BLAKE2B ec7af774d8fd6af5985af1119e414082d99c2ba832d22093a0f1ee08606436e129139f9f3dc85633660d14c860b49dfd026e2d2b9aa9d29c70ca8a44b749404f SHA512 ecc0fb1e7e0d3cd512439c26a04e81fe339e98b88ea75821c7d2797f056fb370c061f89701927dd238d8cad9f431d3f8847de47fd9f45b8e76322ffd797293d3
+DIST PyPDF2-2.2.0.gh.tar.gz 5015612 BLAKE2B e9fd2b193a3ea1477a92de6c7a0680e49017e6daccfe648d8479bb55b0bdbcaf7de3df032010a6010dcc779b7b651963a7cb94beff14a8bba6144849cf3fe551 SHA512 73a0d2faa253b53622f175ec9a9dca25bc0dd4cf94f3fe60e3cccae67faab45819212c4fcc4963b7dc530e6d06781d110c5ad5887fb3240cebfb56a9e7aaea65
DIST PyPDF2-sample-files-41b5cd4f774f8fbd8ac42d93b9962f0376352a15.gh.tar.gz 5406287 BLAKE2B 8ddad01235bdb55cee596d9114e5b6c3b153919bcff5203d229311243516f3595cb36dcca87cae27514a8231d72daa94782115795bff8c1c3d046236811c21e0 SHA512 6c38d5ee0e1c5c0ffdd78f7c2fe56dbf357a1e82d2af642a10264a6102ae8fb95cba6d2f76b26df6a33a5d84cfd5111885d39c1747cf95a5ce545f26bdb37263
DIST PyPDF2-sample-files-41b5cd4f774f8fbd8ac42d93b9962f0376352a15.tar.gz 5406287 BLAKE2B 8ddad01235bdb55cee596d9114e5b6c3b153919bcff5203d229311243516f3595cb36dcca87cae27514a8231d72daa94782115795bff8c1c3d046236811c21e0 SHA512 6c38d5ee0e1c5c0ffdd78f7c2fe56dbf357a1e82d2af642a10264a6102ae8fb95cba6d2f76b26df6a33a5d84cfd5111885d39c1747cf95a5ce545f26bdb37263
diff --git a/dev-python/PyPDF2/PyPDF2-2.2.0.ebuild b/dev-python/PyPDF2/PyPDF2-2.2.0.ebuild
new file mode 100644
index 000000000000..6f7c47c39cbe
--- /dev/null
+++ b/dev-python/PyPDF2/PyPDF2-2.2.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+SAMPLE_COMMIT=41b5cd4f774f8fbd8ac42d93b9962f0376352a15
+DESCRIPTION="Python library to work with PDF files"
+HOMEPAGE="
+ https://pypi.org/project/PyPDF2/
+ https://github.com/py-pdf/PyPDF2/
+"
+SRC_URI="
+ https://github.com/py-pdf/PyPDF2/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ test? (
+ https://github.com/py-pdf/sample-files/archive/${SAMPLE_COMMIT}.tar.gz
+ -> ${PN}-sample-files-${SAMPLE_COMMIT}.gh.tar.gz
+ )
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+"
+BDEPEND="
+ dev-python/pillow[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Needs network access
+ tests/test_workflows.py::test_extract_textbench
+ "tests/test_page.py::test_page_operations[https://arxiv.org/pdf/2201.00029.pdf-None]"
+ tests/test_reader.py::test_iss925
+
+ # Broken test
+ tests/test_utils.py::test_deprecate_no_replacement
+)
+
+src_unpack() {
+ default
+ if use test; then
+ mv "sample-files-${SAMPLE_COMMIT}"/* "${P}"/sample-files/ || die
+ fi
+}
diff --git a/dev-python/anyqt/Manifest b/dev-python/anyqt/Manifest
index bf2cc8a7d9bd..45ffa3aec8f6 100644
--- a/dev-python/anyqt/Manifest
+++ b/dev-python/anyqt/Manifest
@@ -1 +1,2 @@
DIST anyqt-0.0.14.gh.tar.gz 48200 BLAKE2B 15b17e2cb1067dd176d08a267b7fa0272dc9cdaa32c4cae3260053564df22c210a609dad8e4764c9cafeb0241dcabb93bbf8703e0a2ffef38c7f035e9f9f253b SHA512 e3a191cb5e94ee0287405ffff9261100400a78b261fce347268759352ff23a220e46b26882cfdd449be0191080d551d3b16c2feb0a411582ab0aaf1dc79e58cc
+DIST anyqt-0.1.1.gh.tar.gz 54461 BLAKE2B ec78ecf5d326412b953f95379203bc81c92f13ad7b11e44630cf43062a08b9cfa8436b7c18ef6762d43968c87cebc0eadb33b1cecd159c3278e65538cfb80967 SHA512 5e3f6784fe3826b3017365945bc7053a58c4d7db5745c664fa845780212bf89db2b136459afe90df00d63d1507b56fa5b4a579526d9a9f4169943e5d52e230c4
diff --git a/dev-python/anyqt/anyqt-0.1.1.ebuild b/dev-python/anyqt/anyqt-0.1.1.ebuild
new file mode 100644
index 000000000000..ceac72c7ae3f
--- /dev/null
+++ b/dev-python/anyqt/anyqt-0.1.1.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="PyQt4/PyQt5 compatibility layer"
+HOMEPAGE="
+ https://github.com/ales-erjavec/anyqt/
+ https://pypi.org/project/AnyQt/
+"
+SRC_URI="
+ https://github.com/ales-erjavec/anyqt/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ || (
+ dev-python/pyside2[${PYTHON_USEDEP}]
+ dev-python/PyQt5[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/pyside2[${PYTHON_USEDEP}]
+ dev-python/PyQt5[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local -x QT_API
+ # plugins may preload Qt modules
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ for QT_API in pyqt5 pyside2; do
+ local EPYTEST_IGNORE=()
+ [[ ${QT_API} == pyside2 ]] && EPYTEST_IGNORE+=(
+ tests/test_qaction_set_menu.py
+ )
+
+ einfo "Testing ${QT_API}"
+ nonfatal epytest tests ||
+ die "Tests failed with ${EPYTHON} / ${QT_API}"
+ done
+}
diff --git a/dev-python/astroid/Manifest b/dev-python/astroid/Manifest
index 2b4e695e33ab..16a3ecf39325 100644
--- a/dev-python/astroid/Manifest
+++ b/dev-python/astroid/Manifest
@@ -1 +1,2 @@
DIST astroid-2.11.5.tar.gz 414503 BLAKE2B 3bdd93c8c958dc8ede9b5c4b0d01399578c1c8824c511aa6697e6653ef6caec2e2597a862e03a72fc0dc6d0bc63d327a0cf4b62b9632604e9b8485f84512b5b2 SHA512 6b6d1e35b95c68d7219534ceda6e2802cc6f2d9cd9bed6a880eaf0937dfb288d9fb58dac9be33072f4676a568f778eb26a78f447d4a44842a98d8677e151e1bb
+DIST astroid-2.11.6.gh.tar.gz 414842 BLAKE2B 3300037aad912be25d99cc20576f472b907c064c2cb434d9a40a9014df44749760cd8921411f3abdf8e08bd08e612cf6aec13d73ca38ec8ac31cd1ed007282bb SHA512 2276385d74d9bbfd0d99c786d2598105161b2c71c96ca73183b6e2672f8b61c31667c337a1d3967956ef5fdbb54392d604a84da5ac456354d04fb4ad37b11f61
diff --git a/dev-python/astroid/astroid-2.11.6.ebuild b/dev-python/astroid/astroid-2.11.6.ebuild
new file mode 100644
index 000000000000..3b0e1ba11538
--- /dev/null
+++ b/dev-python/astroid/astroid-2.11.6.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Abstract Syntax Tree for logilab packages"
+HOMEPAGE="
+ https://github.com/PyCQA/astroid/
+ https://pypi.org/project/astroid/"
+SRC_URI="
+ https://github.com/PyCQA/astroid/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# Version specified in __pkginfo__.py.
+RDEPEND="
+ >=dev-python/lazy-object-proxy-1.4.0[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-3.10[${PYTHON_USEDEP}]
+ <dev-python/wrapt-2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # no clue why it's broken
+ tests/unittest_modutils.py::GetModulePartTest::test_known_values_get_builtin_module_part
+ tests/unittest_brain_dataclasses.py::test_pydantic_field
+ tests/unittest_regrtest.py::NonRegressionTests::test_numpy_distutils
+ # some problem with warnings (our options?)
+ tests/unittest_decorators.py::TestDeprecationDecorators::test_deprecated_default_argument_values_one_arg
+ tests/unittest_decorators.py::TestDeprecationDecorators::test_deprecated_default_argument_values_two_args
+ tests/unittest_scoped_nodes.py::test_deprecation_of_doc_attribute
+ )
+
+ # Faker causes sys.path_importer_cache keys to be overwritten
+ # with PosixPaths
+ epytest -p no:faker
+}
diff --git a/dev-python/authres/authres-1.2.0-r1.ebuild b/dev-python/authres/authres-1.2.0-r1.ebuild
index 2893c2bb7a1f..a2298302c933 100644
--- a/dev-python/authres/authres-1.2.0-r1.ebuild
+++ b/dev-python/authres/authres-1.2.0-r1.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="amd64 arm64 x86"
SLOT="0"
python_test() {
diff --git a/dev-python/authres/authres-1.2.0.ebuild b/dev-python/authres/authres-1.2.0.ebuild
deleted file mode 100644
index 5e4d19ec49d7..000000000000
--- a/dev-python/authres/authres-1.2.0.ebuild
+++ /dev/null
@@ -1,21 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="Parse and generate Authentication-Results headers"
-HOMEPAGE="https://launchpad.net/authentication-results-python
- https://pypi.org/project/authres/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-KEYWORDS="amd64 arm64 x86"
-SLOT="0"
-
-python_test() {
- "${EPYTHON}" -m doctest -v authres/tests ||
- die "Tests fail with ${EPYTHON}"
-}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 8441ce125e43..422057d05b5f 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -5,3 +5,4 @@ DIST boto3-1.24.4.gh.tar.gz 507020 BLAKE2B 2689aa84d0cc5a8c7978d18c480576015bb21
DIST boto3-1.24.5.gh.tar.gz 508100 BLAKE2B 5ad9e6325a507ea94738eebee58200b4c4e967db5afb5a3076ad55b64df8637f961074377375d9bf4df233c1d53444738e82a868515d04dbd9632dad0889e2c0 SHA512 9387c70c54e05b1007135a896e69934d128a31735cdf0b61ccadd9412c7be5d53259c60a2b4410157037f9a95afaf8ef4f4a97d35e290ff12b7deb125a73d903
DIST boto3-1.24.6.gh.tar.gz 508258 BLAKE2B 705b01006dfa63e386b39a0c4e791e0d9f2e4c5ae72bda3245843ba802556b1328214f80df788497d8b646882af816cfdba6d2769fe5bef82cbaf629fe9fcac6 SHA512 198df4e2f1e5f42bf0faa8baaea0bbc3d88fffda435afc3eccfdcc56940773dcdf43e8cb533a48265907bd118d8e969c7f9b37affb6508a8147ecee486017d92
DIST boto3-1.24.7.gh.tar.gz 508670 BLAKE2B d526f6a4dc4c6126c61ca7c9074b4341c742f84a6e95b38cd8a450fb74df379cee44513e1be6bc7cd0c8f728598d0ecfc06240120a8da71f75f86371498f5233 SHA512 4d57e38c18138b950f93a234132ac1d31c9a29ad00ca5e1298517d6b16ff2849802ce6cfeb8de390c2eb25086043d45e0276a7a563707595649ca1905367be52
+DIST boto3-1.24.8.gh.tar.gz 508760 BLAKE2B b904db3d57e2f7b6399670884f1c82d144840ed30b1a2e2955b33322ef24dba051aa1e19e49fcf3e449b8d0948d7715a37e300030c490a28a836e6c16923f82c SHA512 6abd7eb7591269c9b74c4cea1a8c52f4ccb1d7503ef2784e010ae20cd623bae340ff23301646dd51d1442a3a6a920e235362e2c6f872834fbb6233304c1a69fc
diff --git a/dev-python/boto3/boto3-1.24.8.ebuild b/dev-python/boto3/boto3-1.24.8.ebuild
new file mode 100644
index 000000000000..e4a98e2e28f5
--- /dev/null
+++ b/dev-python/boto3/boto3-1.24.8.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 30c9848b61c3..6c6820271b7b 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -5,3 +5,4 @@ DIST botocore-1.27.4.tar.gz 9079162 BLAKE2B 3707e0b53022185248d5c086860ddf99f6d4
DIST botocore-1.27.5.tar.gz 9110489 BLAKE2B 0cafef7d573de45613b3a03e94c7ddedc6fcf13bc450c5a7509748062d29e5ac2de96982a606cd7af007a2c01004bead3575e7150c4120964edb290d0002c9c9 SHA512 8fc4a81da092e3b3bfa5b347d6a03fc6b969aeecc7a13b0b5de75d96d8c826411cf82bd22e373d6a8b5a9da323468bf1fd9b036b2b72d1801c49056c5c991858
DIST botocore-1.27.6.tar.gz 9109990 BLAKE2B ca3b1f4d14f4bbce87dcd989caf2fa79e475471c951ae13b2804e89f21a1dbf4949cbaba0abcf766f7a324f2b214135643b8d33f02a0866a06a5d81a1e50aa33 SHA512 a2e40d6b875b50bc8fe4180d8ad74a6f72c01f79d0130f9f4107436027fd0b40634359a5b9273bc9fd2eded16d14f40bd297467e57cc65707a495c312618d766
DIST botocore-1.27.7.tar.gz 9102259 BLAKE2B 094ec463531f1dfd54ff32d0f44ebc39cdc0a6d4c3e19b49a25e25d9d13acdcd26c782c1d4819ea4f1cb8954a858aa6e997411785678700b7ca03cd8844527b5 SHA512 d4a1327f4314279548af00fbc6da2f9fc5f25f704da3f6ddfa90773878f28ac9f03556b00fa4c0207ec2e952eb716aa98c1c22abffbd51d82dc55d9e4ceeca5c
+DIST botocore-1.27.8.tar.gz 9103145 BLAKE2B c4e5605ba17219e39499e0809b67b0834bd561bd5dcfa43846cd3132305ba1d811044a1630ecb1bd8315ebc65bae5443efe89a15b6a4f11971aa758bdaa2162c SHA512 61bd87164104135684a6e01b89102eabd5cf9b9115d014d3c08450508d776cbea007b2f072171d380507eb745725919438a742d3cfd6fe32d74bf0f5ac97f04a
diff --git a/dev-python/botocore/botocore-1.27.8.ebuild b/dev-python/botocore/botocore-1.27.8.ebuild
new file mode 100644
index 000000000000..97701266bf61
--- /dev/null
+++ b/dev-python/botocore/botocore-1.27.8.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/botocore-1.26.0-py311.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/brotlicffi/brotlicffi-1.0.9.2-r1.ebuild b/dev-python/brotlicffi/brotlicffi-1.0.9.2-r1.ebuild
index 0bdde9600df6..b590f73345ff 100644
--- a/dev-python/brotlicffi/brotlicffi-1.0.9.2-r1.ebuild
+++ b/dev-python/brotlicffi/brotlicffi-1.0.9.2-r1.ebuild
@@ -28,7 +28,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
RDEPEND="
app-arch/brotli:=
diff --git a/dev-python/cachelib/Manifest b/dev-python/cachelib/Manifest
index 9cfbbc2615bf..5622ecb11e03 100644
--- a/dev-python/cachelib/Manifest
+++ b/dev-python/cachelib/Manifest
@@ -1,2 +1,3 @@
DIST cachelib-0.6.0.tar.gz 21842 BLAKE2B a886e0d6558dd7b3e5cb70124ac48b1fd55de13bc15998da32111300505501252f96c419c2bf82f6101c51e70d2d98f5a49362554891513ea3d1c8522d17ab4c SHA512 a828b6a9e425efcfbae46c148f1f56fd6f4df2ce37ed72b90fc4c3ea9edec1273aa2f2e1f9ad59fad30d1b8e37d6794176b85a7b5afb2b65264bd992dfc5c4f6
DIST cachelib-0.7.0.tar.gz 20650 BLAKE2B 427101910200e4b13e1cc98582499d4f78066c5b904797ae1e9565c5bc6ea445a9ab8f9eed4e6a9a18dcf8aa0ce369ed455edf6f551ff5476a8101aa75cec192 SHA512 034bc14a2de2eb7a7fe52a51f5ff1f96c700c1d915430c0fae5f95bb045989fbbe82458c1dc17cd8ea54e016d014679628a7470e8564f43cd763480eb06d3153
+DIST cachelib-0.8.0.tar.gz 20532 BLAKE2B 5c9eea33f52fc1ddb4eb6c25be64f43e08ed9c17f8fe233b492f293adee022ad840107a9806654d9446d2f249a78ff18d3c85c8964229df8341e7ce499e8431f SHA512 da9ba99e9c6c70542883a183558561486f37098266c4eb38920494653229f78ac47c2c26499e660241231a606040940105434f260ee977599f605a42e9b3f802
diff --git a/dev-python/cachelib/cachelib-0.8.0.ebuild b/dev-python/cachelib/cachelib-0.8.0.ebuild
new file mode 100644
index 000000000000..c0253fe80703
--- /dev/null
+++ b/dev-python/cachelib/cachelib-0.8.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Collection of cache libraries in the same API interface. Extracted from werkzeug"
+HOMEPAGE="
+ https://pypi.org/project/cachelib/
+ https://github.com/pallets-eco/cachelib/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/pylibmc[${PYTHON_USEDEP}]
+ dev-python/pytest-xprocess[${PYTHON_USEDEP}]
+ dev-python/redis-py[${PYTHON_USEDEP}]
+ net-misc/memcached
+ www-servers/uwsgi[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # bug #818523
+ tests/test_redis_cache.py
+)
diff --git a/dev-python/cffi/cffi-1.15.0-r1.ebuild b/dev-python/cffi/cffi-1.15.0-r1.ebuild
index 1fa5cc6ae5d1..8ddd26562c2c 100644
--- a/dev-python/cffi/cffi-1.15.0-r1.ebuild
+++ b/dev-python/cffi/cffi-1.15.0-r1.ebuild
@@ -20,7 +20,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0/${PV}"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
DEPEND="
dev-libs/libffi:=
diff --git a/dev-python/cffi/cffi-1.15.0.ebuild b/dev-python/cffi/cffi-1.15.0.ebuild
deleted file mode 100644
index e7593dce6b11..000000000000
--- a/dev-python/cffi/cffi-1.15.0.ebuild
+++ /dev/null
@@ -1,54 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
-EAPI=7
-
-# DO NOT ADD pypy to PYTHON_COMPAT
-# pypy bundles a modified version of cffi. Use python_gen_cond_dep instead.
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-inherit distutils-r1 toolchain-funcs
-
-DESCRIPTION="Foreign Function Interface for Python calling C code"
-HOMEPAGE="https://cffi.readthedocs.io/ https://pypi.org/project/cffi/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0/${PV}"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-
-DEPEND="dev-libs/libffi:="
-RDEPEND="${DEPEND}
- dev-python/pycparser[${PYTHON_USEDEP}]"
-BDEPEND="${RDEPEND}
- virtual/pkgconfig"
-
-distutils_enable_sphinx doc/source
-distutils_enable_tests pytest
-
-PATCHES=(
- "${FILESDIR}"/cffi-1.14.0-darwin-no-brew.patch
-)
-
-src_prepare() {
- if [[ ${CHOST} == *darwin* ]] ; then
- # Don't obsessively try to find libffi
- sed -i -e "s/.*\-iwithsysroot\/usr\/include\/ffi.*/\tpass/" setup.py || die
- fi
- distutils-r1_src_prepare
-}
-
-src_configure() {
- tc-export PKG_CONFIG
-}
-
-python_test() {
- local EPYTEST_IGNORE=(
- # these tests call pip
- testing/cffi0/test_zintegration.py
- )
-
- "${EPYTHON}" -c "import _cffi_backend as backend" || die
- epytest \
- c/ testing/
-}
diff --git a/dev-python/cssutils/cssutils-2.4.2.ebuild b/dev-python/cssutils/cssutils-2.4.2.ebuild
index f495c4570cf8..fac7171975b8 100644
--- a/dev-python/cssutils/cssutils-2.4.2.ebuild
+++ b/dev-python/cssutils/cssutils-2.4.2.ebuild
@@ -17,7 +17,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86"
BDEPEND="
dev-python/setuptools_scm[${PYTHON_USEDEP}]
diff --git a/dev-python/cython/cython-0.29.30.ebuild b/dev-python/cython/cython-0.29.30.ebuild
index 6b7e65f64e93..6685f63ecd53 100644
--- a/dev-python/cython/cython-0.29.30.ebuild
+++ b/dev-python/cython/cython-0.29.30.ebuild
@@ -22,7 +22,7 @@ SRC_URI="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris ~x86-solaris"
IUSE="emacs test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/exceptiongroup/exceptiongroup-1.0.0_rc8.ebuild b/dev-python/exceptiongroup/exceptiongroup-1.0.0_rc8.ebuild
index d30c10d0b10f..6538c3bac66a 100644
--- a/dev-python/exceptiongroup/exceptiongroup-1.0.0_rc8.ebuild
+++ b/dev-python/exceptiongroup/exceptiongroup-1.0.0_rc8.ebuild
@@ -22,7 +22,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="MIT PSF-2.4"
SLOT="0"
-KEYWORDS="~amd64 ~riscv ~x86"
+KEYWORDS="~amd64 ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~x86"
distutils_enable_tests pytest
diff --git a/dev-python/flit_scm/flit_scm-1.6.2.ebuild b/dev-python/flit_scm/flit_scm-1.6.2.ebuild
index 585370c6a3bb..b9fa50470118 100644
--- a/dev-python/flit_scm/flit_scm-1.6.2.ebuild
+++ b/dev-python/flit_scm/flit_scm-1.6.2.ebuild
@@ -19,7 +19,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~riscv ~x86"
+KEYWORDS="~amd64 ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~x86"
RDEPEND="
>=dev-python/flit_core-3.5.0[${PYTHON_USEDEP}]
diff --git a/dev-python/gmpy/gmpy-2.1.2-r1.ebuild b/dev-python/gmpy/gmpy-2.1.2-r1.ebuild
index cbdf3e375195..be86e735b30b 100644
--- a/dev-python/gmpy/gmpy-2.1.2-r1.ebuild
+++ b/dev-python/gmpy/gmpy-2.1.2-r1.ebuild
@@ -21,7 +21,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="LGPL-3+"
SLOT="2"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
DEPEND="
>=dev-libs/mpc-1.0.2:=
diff --git a/dev-python/greenlet/greenlet-1.1.2-r1.ebuild b/dev-python/greenlet/greenlet-1.1.2-r1.ebuild
index 9e102bebcd85..e7c25f4d76f1 100644
--- a/dev-python/greenlet/greenlet-1.1.2-r1.ebuild
+++ b/dev-python/greenlet/greenlet-1.1.2-r1.ebuild
@@ -19,7 +19,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 -hppa -ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 -hppa -ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
distutils_enable_sphinx docs
distutils_enable_tests unittest
diff --git a/dev-python/greenlet/greenlet-1.1.2.ebuild b/dev-python/greenlet/greenlet-1.1.2.ebuild
deleted file mode 100644
index 9653db62535f..000000000000
--- a/dev-python/greenlet/greenlet-1.1.2.ebuild
+++ /dev/null
@@ -1,24 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-# Note: greenlet is built-in in pypy
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Lightweight in-process concurrent programming"
-HOMEPAGE="https://pypi.org/project/greenlet/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 -hppa -ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
-
-distutils_enable_sphinx docs
-distutils_enable_tests unittest
-
-python_test() {
- eunittest greenlet.tests
-}
diff --git a/dev-python/hatch-vcs/hatch-vcs-0.2.0.ebuild b/dev-python/hatch-vcs/hatch-vcs-0.2.0.ebuild
index 0418460382ab..ebd26f709355 100644
--- a/dev-python/hatch-vcs/hatch-vcs-0.2.0.ebuild
+++ b/dev-python/hatch-vcs/hatch-vcs-0.2.0.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ppc ppc64 ~riscv ~s390 sparc ~x86"
+KEYWORDS="amd64 arm arm64 hppa ~ia64 ~loong ~m68k ppc ppc64 ~riscv ~s390 sparc x86"
RDEPEND="
>=dev-python/setuptools_scm-6.4.0[${PYTHON_USEDEP}]
diff --git a/dev-python/hypothesis/hypothesis-6.47.2.ebuild b/dev-python/hypothesis/hypothesis-6.47.2.ebuild
index 7a19c9721c45..3e0fd99ff025 100644
--- a/dev-python/hypothesis/hypothesis-6.47.2.ebuild
+++ b/dev-python/hypothesis/hypothesis-6.47.2.ebuild
@@ -25,7 +25,7 @@ S="${WORKDIR}/${MY_P}/hypothesis-python"
LICENSE="MPL-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~riscv ~x86"
+KEYWORDS="~amd64 ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~x86"
IUSE="cli"
RDEPEND="
diff --git a/dev-python/ipykernel/Manifest b/dev-python/ipykernel/Manifest
index 041922566777..dd3a080086ba 100644
--- a/dev-python/ipykernel/Manifest
+++ b/dev-python/ipykernel/Manifest
@@ -1,2 +1,3 @@
DIST ipykernel-6.13.0.tar.gz 131331 BLAKE2B 95a662b5ff6062fd8f6712a214b2bdcb227064acec145ebbb2ff7dfc0647ee9c486bbb560502e8ab6c5f74bb44c7715a1ee16f4b8cd2661b7a6e77206be7ab67 SHA512 6025a540d7ae08f637d2cc9a022805df54c11844c93d989be73a3a800fb0985ec56f2ce5d8ee940a5ce51d41b4d1f632131b25c1f5847cb51623c285c4944f39
DIST ipykernel-6.13.1.tar.gz 134356 BLAKE2B 212449f5e49f05052e36b60abc94ccfd81dcf6c13948d2ba32373ffab59f009ac28c251f6b9a9f5412b3d9a0f1347a2352f2e61b831d5efd8d45663ca43b4fdf SHA512 be0f5cf4eab8cf38f20a96e6e59971988bfc03105525694787d4dbbd092e22efb5b955ef622e0c8bc87fb43f29b0f4dc8affa89b81cd2eb7b4d9c93f7b9c68e5
+DIST ipykernel-6.14.0.tar.gz 134614 BLAKE2B 41c2d9179aae12aad207ff76f1451dd42beb4fa12123146a7ccbde2aaf12b52f374bd8d4e7c88bc26fed6e7a5b06629ce1e91ba87cf61e16d3de1bbd50edfac9 SHA512 cecefaf7221a640c5066b5bf77cb21750ddac78262aba6e0449e42f3db124624f87d88fe44351c6943753ee08d7b9a3780bcbb84dc7338e8e26d15c3ad6b1eea
diff --git a/dev-python/ipykernel/ipykernel-6.14.0.ebuild b/dev-python/ipykernel/ipykernel-6.14.0.ebuild
new file mode 100644
index 000000000000..cac1970ad1b9
--- /dev/null
+++ b/dev-python/ipykernel/ipykernel-6.14.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="IPython Kernel for Jupyter"
+HOMEPAGE="https://github.com/ipython/ipykernel"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/debugpy-1.0[${PYTHON_USEDEP}]
+ >=dev-python/ipython-7.23.1[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5.1.0[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_client-6.1.12[${PYTHON_USEDEP}]
+ >=www-servers/tornado-6.1[${PYTHON_USEDEP}]
+ >=dev-python/matplotlib-inline-0.1[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/nest_asyncio[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+"
+# RDEPEND seems specifically needed in BDEPEND, at least jupyter
+# bug #816486
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/ipyparallel[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # TODO
+ ipykernel/inprocess/tests/test_kernel.py::InProcessKernelTestCase::test_pylab
+ ipykernel/tests/test_debugger.py::test_attach_debug
+ ipykernel/tests/test_debugger.py::test_breakpoint_in_cell_with_leading_empty_lines
+ ipykernel/tests/test_debugger.py::test_rich_inspect_at_breakpoint
+ ipykernel/tests/test_debugger.py::test_rich_inspect_not_at_breakpoint
+ ipykernel/tests/test_debugger.py::test_set_breakpoints
+ ipykernel/tests/test_debugger.py::test_stop_on_breakpoint
+)
+
+src_prepare() {
+ sed -i -e 's:^TIMEOUT = .*:TIMEOUT = 120:' ipykernel/tests/*.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ # Use python3 in kernel.json configuration, bug #784764
+ sed -i -e '/python3.[0-9]\+/s//python3/' \
+ "${BUILD_DIR}/install${EPREFIX}/usr/share/jupyter/kernels/python3/kernel.json" || die
+}
diff --git a/dev-python/ipyparallel/ipyparallel-8.3.0.ebuild b/dev-python/ipyparallel/ipyparallel-8.3.0.ebuild
index b7768f2f3dc2..37d9025ec8d7 100644
--- a/dev-python/ipyparallel/ipyparallel-8.3.0.ebuild
+++ b/dev-python/ipyparallel/ipyparallel-8.3.0.ebuild
@@ -15,7 +15,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
RDEPEND="
dev-python/entrypoints[${PYTHON_USEDEP}]
diff --git a/dev-python/ipython/Manifest b/dev-python/ipython/Manifest
index b1898af15d71..69072288de33 100644
--- a/dev-python/ipython/Manifest
+++ b/dev-python/ipython/Manifest
@@ -1,3 +1,2 @@
-DIST ipython-8.2.0.tar.gz 5400583 BLAKE2B 6af50e671823005b035a8463e65463b06dacb3bf4d43c4d3bd9720d1747ebda8abe3d73a49f59ae0e6e2651035db20bcfa1e82dbb0a73e40b4e2507e63118921 SHA512 0bf93527bcafe5dfbfe034b901dff2f002e0fc732159073f0371263e23784f45eb6c9e3f7f2cb9567e93ea4ee313773f836157afe9d23256e71bc4b2fcac15af
DIST ipython-8.3.0.tar.gz 5314400 BLAKE2B 8f06dcaf32cea70ba9f19fb218d4ea6ca3e42651da065521133b1c7163f80324244f59b3c4d85039f1aa5ed363acad0dae11615ae4927d6c9a24197cc9640349 SHA512 95a3d50a5cffe9d4ed3f072c7fa8920c96beccdb15a7437836daa5f38f1ba228b4ebc4c3313d4c5016b77ed7d6f3787af727487ea379c9dc3b3de90eafa4d1c3
DIST ipython-8.4.0.tar.gz 5314601 BLAKE2B 4a5804ad115b45568ddbc0b8fcd181ae0088690ae2d7dda8580588d1e1caa087582a279449142e0144568815270b3a9476893525c0e90320f9ec580a06126d1d SHA512 975915ee64ce6f3fc9bcda383c784759dd8b19151428b10ef92020097718c6e2a9804a00fe02bd541b845eca146c63a672f25ad4f00ec5302b3c61ae0c6935ce
diff --git a/dev-python/ipython/ipython-8.2.0.ebuild b/dev-python/ipython/ipython-8.2.0.ebuild
deleted file mode 100644
index 6e720199d702..000000000000
--- a/dev-python/ipython/ipython-8.2.0.ebuild
+++ /dev/null
@@ -1,164 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-PYTHON_REQ_USE='readline,sqlite,threads(+)'
-
-inherit distutils-r1 optfeature virtualx
-
-DESCRIPTION="Advanced interactive shell for Python"
-HOMEPAGE="https://ipython.org/ https://github.com/ipython/ipython/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="amd64 arm arm64 hppa ~ia64 ppc ppc64 ~riscv sparc x86"
-IUSE="doc examples matplotlib notebook nbconvert qt5 +smp test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
- dev-python/backcall[${PYTHON_USEDEP}]
- dev-python/decorator[${PYTHON_USEDEP}]
- >=dev-python/jedi-0.16[${PYTHON_USEDEP}]
- dev-python/matplotlib-inline[${PYTHON_USEDEP}]
- >=dev-python/pexpect-4.3[${PYTHON_USEDEP}]
- dev-python/pickleshare[${PYTHON_USEDEP}]
- >=dev-python/prompt_toolkit-2[${PYTHON_USEDEP}]
- <dev-python/prompt_toolkit-3.1[${PYTHON_USEDEP}]
- >=dev-python/pygments-2.4.0[${PYTHON_USEDEP}]
- dev-python/setuptools[${PYTHON_USEDEP}]
- dev-python/stack_data[${PYTHON_USEDEP}]
- >=dev-python/traitlets-5.0[${PYTHON_USEDEP}]
- matplotlib? (
- dev-python/matplotlib[${PYTHON_USEDEP}]
- )
-"
-
-BDEPEND="
- test? (
- app-text/dvipng[truetype]
- >=dev-python/ipykernel-5.1.0[${PYTHON_USEDEP}]
- dev-python/matplotlib-inline[${PYTHON_USEDEP}]
- dev-python/nbformat[${PYTHON_USEDEP}]
- >=dev-python/numpy-1.19[${PYTHON_USEDEP}]
- dev-python/requests[${PYTHON_USEDEP}]
- dev-python/testpath[${PYTHON_USEDEP}]
- )
- doc? (
- >=dev-python/ipykernel-5.1.0[${PYTHON_USEDEP}]
- dev-python/matplotlib[${PYTHON_USEDEP}]
- >=dev-python/sphinx-2[${PYTHON_USEDEP}]
- dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-RDEPEND+="
- nbconvert? (
- dev-python/nbconvert[${PYTHON_USEDEP}]
- )
-"
-PDEPEND="
- notebook? (
- dev-python/notebook[${PYTHON_USEDEP}]
- dev-python/ipywidgets[${PYTHON_USEDEP}]
- dev-python/widgetsnbextension[${PYTHON_USEDEP}]
- )
- qt5? ( dev-python/qtconsole[${PYTHON_USEDEP}] )
- smp? (
- >=dev-python/ipykernel-5.1.0[${PYTHON_USEDEP}]
- >=dev-python/ipyparallel-6.2.3[${PYTHON_USEDEP}]
- )
-"
-
-PATCHES=( "${FILESDIR}"/2.1.0-substitute-files.patch )
-
-python_prepare_all() {
- # Remove out of date insource files
- #rm IPython/extensions/cythonmagic.py || die
- #rm IPython/extensions/rmagic.py || die
-
- # Prevent un-needed download during build
- if use doc; then
- sed -e "/^ 'sphinx.ext.intersphinx',/d" -i docs/source/conf.py || die
- fi
-
- # Rename the test directory to reduce sys.path pollution
- # https://github.com/ipython/ipython/issues/12892
- mv IPython/extensions/{,ipython_}tests || die
-
- # remove pyproject.toml that specifies incorrect backend; since
- # the package actually requires the legacy backend, force it implicitly
- rm pyproject.toml || die
-
- distutils-r1_python_prepare_all
-}
-
-python_compile_all() {
- if use doc; then
- emake -C docs html_noapi
- HTML_DOCS=( docs/build/html/. )
- fi
-}
-
-src_test() {
- virtx distutils-r1_src_test
-}
-
-python_test() {
- local -x IPYTHON_TESTING_TIMEOUT_SCALE=20
- local EPYTEST_DESELECT=(
- # Internet
- IPython/core/display.py::IPython.core.display.Image.__init__
- # TODO: looks to be a regression due to a newer dep
- IPython/core/tests/test_oinspect.py::test_class_signature
- IPython/core/tests/test_oinspect.py::test_render_signature_long
- )
- [[ ${EPYTHON} == python3.10 ]] && EPYTEST_DESELECT+=(
- # TODO
- IPython/core/tests/test_completer.py::TestCompleter::test_all_completions_dups
- IPython/core/tests/test_completer.py::TestCompleter::test_deduplicate_completions
- )
- epytest || die "Tests failed with ${EPYTHON}"
-}
-
-python_install() {
- distutils-r1_python_install
-
- # Create ipythonX.Y symlinks.
- # TODO:
- # 1. do we want them for pypy? No. pypy has no numpy
- # 2. handle it in the eclass instead (use _python_ln_rel).
- # With pypy not an option the dosym becomes unconditional
- dosym ../lib/python-exec/${EPYTHON}/ipython \
- /usr/bin/ipython${EPYTHON#python}
-}
-
-python_install_all() {
- distutils-r1_python_install_all
-
- if use examples; then
- dodoc -r examples
- docompress -x /usr/share/doc/${PF}/examples
- fi
-}
-
-pkg_postinst() {
- optfeature "code formatting" dev-python/black
- optfeature "sympyprinting" dev-python/sympy
- optfeature "cythonmagic" dev-python/cython
- optfeature "%lprun magic command" dev-python/line_profiler
- optfeature "%mprun magic command" dev-python/memory_profiler
-
- if use nbconvert; then
- if ! has_version app-text/pandoc ; then
- einfo "Node.js will be used to convert notebooks to other formats"
- einfo "like HTML. Support for that is still experimental. If you"
- einfo "encounter any problems, please use app-text/pandoc instead."
- fi
- fi
-}
diff --git a/dev-python/ipython/ipython-8.3.0-r1.ebuild b/dev-python/ipython/ipython-8.3.0-r1.ebuild
index e92336d2116e..4067b981ba97 100644
--- a/dev-python/ipython/ipython-8.3.0-r1.ebuild
+++ b/dev-python/ipython/ipython-8.3.0-r1.ebuild
@@ -15,7 +15,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="amd64 arm arm64 hppa ~ia64 ppc ppc64 ~riscv ~s390 sparc x86"
IUSE="doc examples matplotlib notebook nbconvert qt5 +smp test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/jaraco-test/jaraco-test-5.1.0.ebuild b/dev-python/jaraco-test/jaraco-test-5.1.0.ebuild
index 5da002d2827f..f6124c500328 100644
--- a/dev-python/jaraco-test/jaraco-test-5.1.0.ebuild
+++ b/dev-python/jaraco-test/jaraco-test-5.1.0.ebuild
@@ -19,7 +19,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86"
RDEPEND="
dev-python/jaraco-collections[${PYTHON_USEDEP}]
diff --git a/dev-python/js2py/Manifest b/dev-python/js2py/Manifest
index 098197b5e6e9..3aada029b162 100644
--- a/dev-python/js2py/Manifest
+++ b/dev-python/js2py/Manifest
@@ -1 +1,2 @@
DIST Js2Py-0.71.tar.gz 1969618 BLAKE2B 293a830f4188e66927b23900e8c376bf1a4bfdfa8726e33aa5aa75dcdf735cde89ce463741c142fc7e487ae89c7c11421e459d2fdd09ba88edfe953e4e087e42 SHA512 75bae61619d4766117f3c163d36427f3019825ecb08b745aee7c3b6f2d33a4ea8507ca180b63c0a8e575a5f9491eb64d6963acbb912edc7b934a676b38814597
+DIST Js2Py-0.71_p20210918.tar.gz 1970784 BLAKE2B 4ea446b306e858c2acb192a699b4c098cca1a334fd97246d3149186795a013fa1ff9cf45ecc5cd9bed241b13b3eb003ebf272f5af4ed24a608564fd4709e4ff1 SHA512 810363e4b0716e324e6deb5f373968c9c57e7ecf120710c064601ad46ca2f24bc8da52f779f861296dd506de06d664be86b3c0d72bcb811892fe4e6c22ad7a6d
diff --git a/dev-python/js2py/js2py-0.71_p20210918.ebuild b/dev-python/js2py/js2py-0.71_p20210918.ebuild
new file mode 100644
index 000000000000..c592420c28dc
--- /dev/null
+++ b/dev-python/js2py/js2py-0.71_p20210918.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+H=b16d7ce90ac9c03358010c1599c3e87698c9993f
+MY_PN=Js2Py
+MY_P=${MY_PN}-${PV}
+
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="JavaScript to Python Translator & JavaScript interpreter in Python"
+HOMEPAGE=" http://piter.io/projects/js2py/
+ https://github.com/PiotrDabkowski/Js2Py/
+ https://pypi.org/project/Js2Py/"
+SRC_URI="https://github.com/PiotrDabkowski/${MY_PN}/archive/${H}.tar.gz
+ -> ${MY_P}.tar.gz"
+S="${WORKDIR}"/${MY_PN}-${H}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/pyjsparser-2.5.1[${PYTHON_USEDEP}]
+ >=dev-python/tzlocal-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+"
+
+python_test() {
+ pushd ./tests >/dev/null || die
+
+ # Tests require "node_failed.txt" file where the logs are kept
+ if [[ -f ./node_failed.txt ]] ; then
+ rm ./node_failed.txt || die
+ fi
+
+ touch ./node_failed.txt || die
+ "${EPYTHON}" ./run.py || die "tests failed with ${EPYTHON}"
+
+ popd >/dev/null || die
+}
diff --git a/dev-python/jupyter_server/jupyter_server-1.17.0.ebuild b/dev-python/jupyter_server/jupyter_server-1.17.0.ebuild
index d478ab908ba2..15e5451b3a10 100644
--- a/dev-python/jupyter_server/jupyter_server-1.17.0.ebuild
+++ b/dev-python/jupyter_server/jupyter_server-1.17.0.ebuild
@@ -14,7 +14,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv ~s390 sparc ~x86"
+KEYWORDS="amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv ~s390 sparc ~x86"
RDEPEND="
>=dev-python/anyio-3.1.0[${PYTHON_USEDEP}]
diff --git a/dev-python/kiwisolver/Manifest b/dev-python/kiwisolver/Manifest
index aae4c2647ef5..cf788ddcd3e5 100644
--- a/dev-python/kiwisolver/Manifest
+++ b/dev-python/kiwisolver/Manifest
@@ -1 +1,2 @@
DIST kiwi-1.4.2.tar.gz 91150 BLAKE2B 8441d52267b3b436d9f05baabbd3beafc51d2f257fc982f1cf90b6296ccdbc24511de6b55b6201eb1df37ec9487282cc40142e9083cf4c1e925976a098927e1a SHA512 e7726ac7985bea1020fd3a26bf54b941acfffffb1f47b462c74f9829c5a89e7abd0732b5a11685b20d6a17ac9625178c68ea71052e852f91491a308d07111b01
+DIST kiwi-1.4.3.gh.tar.gz 91238 BLAKE2B bdd6164eb428e6769ae7de2a8e689a3944e13e81aef9a839d9f68459deb7e7c0840b0eb59e70932e5c1d835444c515c8cb66fa47f40d8fc6244de47852be57d6 SHA512 04205555da46e772f2d25a481c4d966dc7bab8a541434a7c183e1b4f41ccd6e06aec564f2a95dae649585d337c1bf818a7cf24727460ad14669a3b3d74c74274
diff --git a/dev-python/kiwisolver/kiwisolver-1.4.3.ebuild b/dev-python/kiwisolver/kiwisolver-1.4.3.ebuild
new file mode 100644
index 000000000000..b16370c6eac2
--- /dev/null
+++ b/dev-python/kiwisolver/kiwisolver-1.4.3.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+MY_P=kiwi-${PV}
+DESCRIPTION="An efficient C++ implementation of the Cassowary constraint solving algorithm"
+HOMEPAGE="https://github.com/nucleic/kiwi/"
+SRC_URI="
+ https://github.com/nucleic/kiwi/archive/${PV}.tar.gz -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Clear-BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+COMMON_DEPEND="
+ >=dev-python/cppy-1.2.0[${PYTHON_USEDEP}]
+"
+
+RDEPEND="
+ ${COMMON_DEPEND}
+"
+BDEPEND="
+ ${COMMON_DEPEND}
+ >=dev-python/setuptools_scm-3.4.3[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
diff --git a/dev-python/platformdirs/Manifest b/dev-python/platformdirs/Manifest
index 7b40886a312d..bb7c55d33e49 100644
--- a/dev-python/platformdirs/Manifest
+++ b/dev-python/platformdirs/Manifest
@@ -1,2 +1 @@
-DIST platformdirs-2.5.1.gh.tar.gz 20103 BLAKE2B 78df153feabd397e6ab0d3c5edfe899f2e2685e7b287bd17c36346bc109d90ba783b5164605bda448322811312299ce65d49b85537ebd1629448c1d82f4718e5 SHA512 c0f3e79fbb41cda1f543fcb6d3a4ea0c96872d195197aa720864c1ed0efa095e633202878da9b19abfb2aded08f5c736f431b1c615ee0f21cbf1775e87b12356
DIST platformdirs-2.5.2.gh.tar.gz 20335 BLAKE2B 5d11e39d3e7482646e90d57642f0a956633408de5ec9f3cc1954e451ebb3bc3234a453c1e62997bcc74a32082f5d044a1e68ef6d7e75e27876495ad6ffb3c8f5 SHA512 7162050adff66124601359f0c1f73e671444d286e9f00c2694647df233c25e1eae673baf829e3e74e2a54d15a1633d0202dba986d4ed8a2864fc47859af0fd4e
diff --git a/dev-python/platformdirs/platformdirs-2.5.1.ebuild b/dev-python/platformdirs/platformdirs-2.5.1.ebuild
deleted file mode 100644
index b81e30d36ddb..000000000000
--- a/dev-python/platformdirs/platformdirs-2.5.1.ebuild
+++ /dev/null
@@ -1,32 +0,0 @@
-# Copyright 2021-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="A small Python module for determining appropriate platform-specific dirs"
-HOMEPAGE="
- https://pypi.org/project/platformdirs/
- https://github.com/platformdirs/platformdirs/"
-SRC_URI="
- https://github.com/platformdirs/platformdirs/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"
-
-BDEPEND="
- dev-python/setuptools_scm[${PYTHON_USEDEP}]
- test? (
- dev-python/appdirs[${PYTHON_USEDEP}]
- dev-python/pytest-mock[${PYTHON_USEDEP}]
- )"
-
-distutils_enable_tests pytest
-
-export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
diff --git a/dev-python/platformdirs/platformdirs-2.5.2.ebuild b/dev-python/platformdirs/platformdirs-2.5.2.ebuild
index 1c22ef6ad24a..42ed665c6544 100644
--- a/dev-python/platformdirs/platformdirs-2.5.2.ebuild
+++ b/dev-python/platformdirs/platformdirs-2.5.2.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ppc ppc64 ~riscv ~s390 sparc ~x86"
+KEYWORDS="amd64 arm arm64 hppa ~ia64 ~loong ~m68k ppc ppc64 ~riscv ~s390 sparc x86"
BDEPEND="
dev-python/hatch-vcs[${PYTHON_USEDEP}]
diff --git a/dev-python/pydantic/pydantic-1.9.1.ebuild b/dev-python/pydantic/pydantic-1.9.1.ebuild
index dfd0e77a39be..4a3fb9f49ea6 100644
--- a/dev-python/pydantic/pydantic-1.9.1.ebuild
+++ b/dev-python/pydantic/pydantic-1.9.1.ebuild
@@ -14,7 +14,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc ~x86"
+KEYWORDS="amd64 arm ~arm64 ~hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86"
RDEPEND="
dev-python/typing-extensions[${PYTHON_USEDEP}]
diff --git a/dev-python/pyrsistent/pyrsistent-0.18.1-r1.ebuild b/dev-python/pyrsistent/pyrsistent-0.18.1-r1.ebuild
index a0c3a364b45b..2191ab84d682 100644
--- a/dev-python/pyrsistent/pyrsistent-0.18.1-r1.ebuild
+++ b/dev-python/pyrsistent/pyrsistent-0.18.1-r1.ebuild
@@ -17,7 +17,7 @@ SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
BDEPEND="
test? (
diff --git a/dev-python/pyyaml/pyyaml-6.0-r1.ebuild b/dev-python/pyyaml/pyyaml-6.0-r1.ebuild
index f8f1ce140327..feb2eea8c387 100644
--- a/dev-python/pyyaml/pyyaml-6.0-r1.ebuild
+++ b/dev-python/pyyaml/pyyaml-6.0-r1.ebuild
@@ -21,7 +21,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris ~x86-solaris"
IUSE="examples"
DEPEND="
diff --git a/dev-python/qtconsole/Manifest b/dev-python/qtconsole/Manifest
index 16cc25ddc79d..8e0d80f3b44d 100644
--- a/dev-python/qtconsole/Manifest
+++ b/dev-python/qtconsole/Manifest
@@ -1,3 +1,2 @@
-DIST qtconsole-5.2.2.tar.gz 429610 BLAKE2B 1a9f163dfa8a2d38829b2db5a5589b80605b82f144d95e51e3668f296b8e839fd3045c813505926a4c8690e438e79d82c0307c33416152d28899b2f0324aec1e SHA512 43727a08a0b828421bb051063055b3306a2111bedfd148aea6bccc04e103bbffb798c35440bfdb82ffa6bf17a2b0ce9e1ad2d0b3df9aaea294a23dcf582dfd57
DIST qtconsole-5.3.0.tar.gz 430258 BLAKE2B 883c95124d911b17a1cebedc357f207e042a9679a09eb63bace09f7f39eac4b1f3a24ccd372760e3142494208119dc4131939cd82e8cab364dacecca184c8545 SHA512 6fcfaa7ad842f3f45d4e2286ce816a0b4c71e3c3fb07b86589934efcc637e2cd6f5712fa8a10c375b8e86d1e1e6ce32de9f2be2fc0decd554b51c658e106b120
DIST qtconsole-5.3.1.tar.gz 430680 BLAKE2B 4655d9aa78a95200fb3f4d2016749d4f1c75865d259da8583818259d05301469b9851b85a2716336084f022f546e97ae003483284f0305793da80a5de7635ac2 SHA512 bebf9c97ebe2a030feebd34f9dbc83294af5eb64946b252c5b5e6391e2760ff95efa7f0be89ec59c424de5fefb3f876ead897d17b679fc87896fe440ba936554
diff --git a/dev-python/qtconsole/qtconsole-5.2.2.ebuild b/dev-python/qtconsole/qtconsole-5.2.2.ebuild
deleted file mode 100644
index f95142371895..000000000000
--- a/dev-python/qtconsole/qtconsole-5.2.2.ebuild
+++ /dev/null
@@ -1,47 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-PYTHON_REQ_USE="threads(+)"
-inherit distutils-r1
-
-DESCRIPTION="Qt-based console for Jupyter with support for rich media output"
-HOMEPAGE="https://jupyter.org"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="amd64 arm64 x86"
-
-RDEPEND="
- >=dev-python/ipykernel-4.1[${PYTHON_USEDEP}]
- dev-python/ipython_genutils[${PYTHON_USEDEP}]
- dev-python/jupyter_core[${PYTHON_USEDEP}]
- >=dev-python/jupyter_client-4.1.1[${PYTHON_USEDEP}]
- dev-python/pygments[${PYTHON_USEDEP}]
- >=dev-python/pyzmq-17.1[${PYTHON_USEDEP}]
- dev-python/traitlets[${PYTHON_USEDEP}]
- dev-python/QtPy[${PYTHON_USEDEP},gui,printsupport,svg]
-"
-# The test suite tests both against pyqt5 *and* pyside2
-BDEPEND="
- test? (
- dev-python/QtPy[pyqt5,pyside2,${PYTHON_USEDEP},svg,testlib]
- )
-"
-# required by the tests that are removed:
-# dev-python/flaky[${PYTHON_USEDEP}]
-# dev-python/pytest-qt[${PYTHON_USEDEP}]
-
-PDEPEND="dev-python/ipython[${PYTHON_USEDEP}]"
-
-distutils_enable_sphinx docs/source dev-python/sphinx_rtd_theme
-distutils_enable_tests pytest
-
-python_test() {
- # TODO: these tests require virtx; however, running under virtx
- # causes pytest to segv on exit (even though tests pass)
- epytest --ignore qtconsole/tests/test_00_console_widget.py
-}
diff --git a/dev-python/qtconsole/qtconsole-5.3.0.ebuild b/dev-python/qtconsole/qtconsole-5.3.0.ebuild
index b402d0010219..12a73b7cb16e 100644
--- a/dev-python/qtconsole/qtconsole-5.3.0.ebuild
+++ b/dev-python/qtconsole/qtconsole-5.3.0.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+KEYWORDS="amd64 ~arm arm64 x86"
RDEPEND="
>=dev-python/ipykernel-4.1[${PYTHON_USEDEP}]
diff --git a/dev-python/setuptools/Manifest b/dev-python/setuptools/Manifest
index fc04528a65dc..fa0428f394aa 100644
--- a/dev-python/setuptools/Manifest
+++ b/dev-python/setuptools/Manifest
@@ -1,3 +1,4 @@
DIST python-gentoo-patches-3.10.4.tar.xz 8592 BLAKE2B 67fba3e1fedb17430e5cd93da995b4acaf714db512031b5a2f775a25f793f007941561663cfa413d645ccddc2e22d65d250a40fa166cafda8805488d877ff57d SHA512 3ed2b8ff8f1eb8febe7dcd4b5d13d6d54468be1d525f8f1118977d3bbc78f690a597b09383939d023b03380a306e4bff1693382e29ff562312d803305b1709b2
DIST setuptools-62.3.3.tar.gz 2586270 BLAKE2B 764f90a5b2585f05b6ae0ad23568a08069bb4ca776c969635dfaceb6b3f64dc6d56291c3e9f0a4540f0416eab9122f5d7d6ad193a5f604949b5827f3cfc2d1a9 SHA512 a7ca81b3f7adedb15a4ff3607654d1a4615de1b30a22aa5cbe4b0a8077db8bdd9348167cbb6deb97e1076d320c2a2a4b0d30acda389905d6503786902eeb66af
DIST setuptools-62.3.4.tar.gz 2590435 BLAKE2B 089bb185b65107d54b3a17b423caa28b0505566f8e19efaf34ac347e074492278699295b5e8856756312182a78d524ae5098e86783c5c6e089bdbe2de1d1f60d SHA512 edd9595971ee3cca2d1280e695401d8e4aa38796af89f24132d81b897004147ff4f4fc8daebf6fef0606512cc71e09487a2cb416deeecd851a82abed30f57887
+DIST setuptools-62.4.0.tar.gz 2592908 BLAKE2B 5221c32545d451fe9e80f6c78296044fc805e995578f32d2a8809483c00ea84f918a3bb5e1d1a6d184533282d96a68fab8b4d303d839255a640952d1c575f53a SHA512 552bb6c93793a438d8d319b1ef51932e7e15fab965b9fc81a4f15015e02f3e7318b9df9890c3fb59fac1ec443c17cd5cbd17b7227a6a82deb355230673ae9ec5
diff --git a/dev-python/setuptools/files/setuptools-62.4.0-py-compile.patch b/dev-python/setuptools/files/setuptools-62.4.0-py-compile.patch
new file mode 100644
index 000000000000..09d630b363a2
--- /dev/null
+++ b/dev-python/setuptools/files/setuptools-62.4.0-py-compile.patch
@@ -0,0 +1,86 @@
+From 8911d627245f4389488c5d65cce6d1258f4cce7b Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Tue, 14 Jun 2022 05:58:20 +0200
+Subject: [PATCH] make -OO enable both opt-1 and opt-2
+
+---
+ setuptools/_distutils/command/build_py.py | 10 ++++------
+ setuptools/_distutils/command/install_lib.py | 14 ++++++--------
+ 2 files changed, 10 insertions(+), 14 deletions(-)
+
+diff --git a/setuptools/_distutils/command/build_py.py b/setuptools/_distutils/command/build_py.py
+index 1b22004e..88565bce 100644
+--- a/setuptools/_distutils/command/build_py.py
++++ b/setuptools/_distutils/command/build_py.py
+@@ -325,11 +325,9 @@ class build_py(Command):
+ outputs.append(
+ importlib.util.cache_from_source(filename, optimization='')
+ )
+- if self.optimize > 0:
++ for opt in range(1, self.optimize + 1):
+ outputs.append(
+- importlib.util.cache_from_source(
+- filename, optimization=self.optimize
+- )
++ importlib.util.cache_from_source(filename, optimization=opt)
+ )
+
+ outputs += [
+@@ -403,10 +401,10 @@ class build_py(Command):
+ byte_compile(
+ files, optimize=0, force=self.force, prefix=prefix, dry_run=self.dry_run
+ )
+- if self.optimize > 0:
++ for opt in range(1, self.optimize + 1):
+ byte_compile(
+ files,
+- optimize=self.optimize,
++ optimize=opt,
+ force=self.force,
+ prefix=prefix,
+ dry_run=self.dry_run,
+diff --git a/setuptools/_distutils/command/install_lib.py b/setuptools/_distutils/command/install_lib.py
+index ad3089c8..7f906a29 100644
+--- a/setuptools/_distutils/command/install_lib.py
++++ b/setuptools/_distutils/command/install_lib.py
+@@ -25,8 +25,8 @@ class install_lib(Command):
+ # 2) compile .pyc only (--compile --no-optimize; default)
+ # 3) compile .pyc and "opt-1" .pyc (--compile --optimize)
+ # 4) compile "opt-1" .pyc only (--no-compile --optimize)
+- # 5) compile .pyc and "opt-2" .pyc (--compile --optimize-more)
+- # 6) compile "opt-2" .pyc only (--no-compile --optimize-more)
++ # 5) compile .pyc, "opt-1" and "opt-2" .pyc (--compile --optimize-more)
++ # 6) compile "opt-1" and "opt-2" .pyc (--no-compile --optimize-more)
+ #
+ # The UI for this is two options, 'compile' and 'optimize'.
+ # 'compile' is strictly boolean, and only decides whether to
+@@ -142,10 +142,10 @@ class install_lib(Command):
+ prefix=install_root,
+ dry_run=self.dry_run,
+ )
+- if self.optimize > 0:
++ for opt in range(1, self.optimize + 1):
+ byte_compile(
+ files,
+- optimize=self.optimize,
++ optimize=opt,
+ force=self.force,
+ prefix=install_root,
+ verbose=self.verbose,
+@@ -182,11 +182,9 @@ class install_lib(Command):
+ bytecode_files.append(
+ importlib.util.cache_from_source(py_file, optimization='')
+ )
+- if self.optimize > 0:
++ for opt in range(1, self.optimize + 1):
+ bytecode_files.append(
+- importlib.util.cache_from_source(
+- py_file, optimization=self.optimize
+- )
++ importlib.util.cache_from_source(py_file, optimization=opt)
+ )
+
+ return bytecode_files
+--
+2.35.1
+
diff --git a/dev-python/setuptools/setuptools-62.4.0.ebuild b/dev-python/setuptools/setuptools-62.4.0.ebuild
new file mode 100644
index 000000000000..8410ea0fa52d
--- /dev/null
+++ b/dev-python/setuptools/setuptools-62.4.0.ebuild
@@ -0,0 +1,130 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_TESTED=( python3_{7,8,9,10} pypy3 )
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Collection of extensions to Distutils"
+HOMEPAGE="
+ https://github.com/pypa/setuptools/
+ https://pypi.org/project/setuptools/
+"
+SRC_URI="
+ mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/appdirs-1.4.4-r2[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-text-3.7.0-r1[${PYTHON_USEDEP}]
+ >=dev-python/more-itertools-8.12.0-r1[${PYTHON_USEDEP}]
+ >=dev-python/nspektr-0.3.0[${PYTHON_USEDEP}]
+ >=dev-python/ordered-set-4.0.2-r1[${PYTHON_USEDEP}]
+ >=dev-python/packaging-21.3-r2[${PYTHON_USEDEP}]
+ >=dev-python/tomli-2.0.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/importlib_metadata-4.11.1[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+ $(python_gen_cond_dep '
+ >=dev-python/importlib_resources-5.4.0-r3[${PYTHON_USEDEP}]
+ ' 3.8)
+"
+BDEPEND="
+ ${RDEPEND}
+ >=dev-python/wheel-0.37.1-r1[${PYTHON_USEDEP}]
+ test? (
+ $(python_gen_cond_dep '
+ dev-python/build[${PYTHON_USEDEP}]
+ >=dev-python/ini2toml-0.9[${PYTHON_USEDEP}]
+ >=dev-python/filelock-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-envs-2.2[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-path-3.2.0[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pip[${PYTHON_USEDEP}]
+ dev-python/pip-run[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-fixture-config[${PYTHON_USEDEP}]
+ dev-python/pytest-virtualenv[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ >=dev-python/tomli-w-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/virtualenv-20[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+ ' "${PYTHON_TESTED[@]}")
+ )
+"
+PDEPEND="
+ >=dev-python/certifi-2016.9.26[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+"
+
+DOCS=( {CHANGES,README}.rst )
+
+src_prepare() {
+ local PATCHES=(
+ # TODO: remove this when we're 100% PEP517 mode
+ "${FILESDIR}"/setuptools-62.4.0-py-compile.patch
+ )
+
+ # remove bundled dependencies, setuptools will switch to system deps
+ # automatically
+ rm -r */_vendor || die
+
+ # remove the ugly */extern hack that breaks on unvendored deps
+ rm -r */extern || die
+ find -name '*.py' -exec sed \
+ -e 's:from \w*[.]\+extern ::' -e 's:\w*[.]\+extern[.]::' \
+ -i {} + || die
+
+ distutils-r1_src_prepare
+
+ export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+}
+
+python_test() {
+ local -x SETUPTOOLS_USE_DISTUTILS=stdlib
+
+ if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+ return
+ fi
+
+ local EPYTEST_DESELECT=(
+ # network
+ # TODO: see if PRE_BUILT_SETUPTOOLS_* helps
+ setuptools/tests/config/test_apply_pyprojecttoml.py::test_apply_pyproject_equivalent_to_setupcfg
+ setuptools/tests/integration/test_pip_install_sdist.py::test_install_sdist
+ setuptools/tests/test_distutils_adoption.py
+ setuptools/tests/test_setuptools.py::test_its_own_wheel_does_not_contain_tests
+ setuptools/tests/test_virtualenv.py::test_clean_env_install
+ setuptools/tests/test_virtualenv.py::test_no_missing_dependencies
+ 'setuptools/tests/test_virtualenv.py::test_pip_upgrade_from_source[None]'
+ setuptools/tests/test_virtualenv.py::test_test_command_install_requirements
+ # unhappy with pytest-xdist?
+ setuptools/tests/test_easy_install.py::TestUserInstallTest::test_local_index
+ # TODO
+ setuptools/tests/config/test_setupcfg.py::TestConfigurationReader::test_basic
+ setuptools/tests/config/test_setupcfg.py::TestConfigurationReader::test_ignore_errors
+ setuptools/tests/test_easy_install.py::TestSetupRequires::test_setup_requires_with_allow_hosts
+ setuptools/tests/test_extern.py::test_distribution_picklable
+ setuptools/tests/test_test.py::test_tests_are_run_once
+ # expects bundled deps in virtualenv
+ setuptools/tests/config/test_apply_pyprojecttoml.py::TestMeta::test_example_file_in_sdist
+ setuptools/tests/config/test_apply_pyprojecttoml.py::TestMeta::test_example_file_not_in_wheel
+ setuptools/tests/test_editable_install.py::test_editable_with_pyproject
+ )
+
+ # test_easy_install raises a SandboxViolation due to ${HOME}/.pydistutils.cfg
+ # It tries to sandbox the test in a tempdir
+ HOME="${PWD}" epytest -n "$(makeopts_jobs)" setuptools
+}
diff --git a/dev-python/simplejson/simplejson-3.17.6.ebuild b/dev-python/simplejson/simplejson-3.17.6.ebuild
index af13d28d8a3f..edd494bb04f9 100644
--- a/dev-python/simplejson/simplejson-3.17.6.ebuild
+++ b/dev-python/simplejson/simplejson-3.17.6.ebuild
@@ -17,7 +17,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="|| ( MIT AFL-2.1 )"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
DOCS=( README.rst CHANGES.txt )
diff --git a/dev-python/tlsh/tlsh-4.8.2.ebuild b/dev-python/tlsh/tlsh-4.8.2.ebuild
index ba10e0c4a093..38c3e2da6f68 100644
--- a/dev-python/tlsh/tlsh-4.8.2.ebuild
+++ b/dev-python/tlsh/tlsh-4.8.2.ebuild
@@ -14,7 +14,7 @@ S=${WORKDIR}/${P}/py_ext
LICENSE="|| ( Apache-2.0 BSD )"
SLOT="0"
-KEYWORDS="~amd64 ~arm"
+KEYWORDS="~amd64 ~arm ~x86"
DEPEND="dev-libs/tlsh"
RDEPEND="${DEPEND}"
diff --git a/dev-python/translate-toolkit/Manifest b/dev-python/translate-toolkit/Manifest
index 695c65c8f58a..cb87e9176b21 100644
--- a/dev-python/translate-toolkit/Manifest
+++ b/dev-python/translate-toolkit/Manifest
@@ -1 +1,2 @@
DIST translate-3.6.2.gh.tar.gz 1152569 BLAKE2B 44c9a5878a177b53d34e48d8b642f293ed475c90de8a530f53462384420b8afaaf107cb62c0cdd45e6d0633f53cd8eedb73dd0dcd81d6f876dc5389ba4230c94 SHA512 fb1fc2f6abb766814269d7051f571cbfb25ecd6b7267e2080e5ab0bb41338ace430a8bb01084abe176e2fd0a934cdf6492bf79f5e27c1f8ce99b021175efcec9
+DIST translate-3.7.0.gh.tar.gz 1152162 BLAKE2B 75d3b0a7f2a840766f983d6e1484aab16de2aa2bab74d0753910be9ad0d1c76ebfa553188318920a7d5a6f1ce6b72e755147eb45c501cdeb79246472c0329449 SHA512 18159f85d94768c32fe5a44f3d3e586038b281a0f3e386621bd57a5be64a9ae21a4272c05de8a2ea2a2467c98935205a8ef49a714dc9aabf9ed21de4f533fb93
diff --git a/dev-python/translate-toolkit/translate-toolkit-3.7.0.ebuild b/dev-python/translate-toolkit/translate-toolkit-3.7.0.ebuild
new file mode 100644
index 000000000000..6a5bb58373a4
--- /dev/null
+++ b/dev-python/translate-toolkit/translate-toolkit-3.7.0.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+MY_P=translate-${PV}
+DESCRIPTION="Toolkit to convert between many translation formats"
+HOMEPAGE="
+ https://github.com/translate/translate/
+ https://pypi.org/project/translate-toolkit/
+"
+SRC_URI="
+ https://github.com/translate/translate/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="+html +ical +ini +subtitles +yaml"
+
+RDEPEND="
+ !dev-python/pydiff
+ app-text/iso-codes
+ >=dev-python/chardet-3.0.4[${PYTHON_USEDEP}]
+ dev-python/cheroot[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.3.1[${PYTHON_USEDEP}]
+ >=dev-python/pycountry-19.8.18[${PYTHON_USEDEP}]
+ >=dev-python/python-levenshtein-0.12.0[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-3[${PYTHON_USEDEP}]
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+ sys-devel/gettext
+ html? ( dev-python/utidylib[${PYTHON_USEDEP}] )
+ ical? ( dev-python/vobject[${PYTHON_USEDEP}] )
+ ini? ( >=dev-python/iniparse-0.5[${PYTHON_USEDEP}] )
+ subtitles? ( media-video/gaupol[${PYTHON_USEDEP}] )
+ yaml? ( dev-python/pyyaml[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+ test? ( dev-python/phply[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_sphinx docs \
+ dev-python/sphinx-bootstrap-theme
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Fails with network-sandbox (and even with it off but w/ softer fail)
+ 'tests/xliff_conformance/test_xliff_conformance.py::test_open_office_to_xliff'
+ 'tests/xliff_conformance/test_xliff_conformance.py::test_po_to_xliff'
+ )
+ local EPYTEST_IGNORE=(
+ # unpackaged fluent.*
+ translate/storage/test_fluent.py
+ )
+
+ if ! use ini; then
+ EPYTEST_IGNORE+=(
+ translate/convert/test_ini2po.py
+ translate/convert/test_po2ini.py
+ )
+ fi
+
+ if ! use subtitles; then
+ EPYTEST_IGNORE+=(
+ translate/storage/test_subtitles.py
+ )
+ fi
+
+ # translate/storage/test_mo.py needs 'pocompile'
+ distutils_install_for_testing
+ epytest
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ if ! use html; then
+ rm "${ED}"/usr/bin/{html2po,po2html} || die
+ fi
+ if ! use ical; then
+ rm "${ED}"/usr/bin/{ical2po,po2ical} || die
+ fi
+ if ! use ini; then
+ rm "${ED}"/usr/bin/{ini2po,po2ini} || die
+ fi
+ if ! use subtitles; then
+ rm "${ED}"/usr/bin/{sub2po,po2sub} || die
+ fi
+
+ python_optimize
+}